#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define		pdir	Starlink
%define		pnam	AST
Summary:	Starlink::AST - Interface to the Starlink AST library
Summary(pl.UTF-8):	Starlink::AST - interfejs do biblioteki Starlink AST
Name:		perl-Starlink-AST
Version:	1.05
Release:	2
License:	open_source
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-authors/id/T/TJ/TJENNESS/Starlink-AST-%{version}.tar.gz
# Source0-md5:	5ca28e250d2fa93882a03603547cb6d6
URL:		https://metacpan.org/dist/Starlink-AST
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Astro-FITS-CFITSIO
BuildRequires:	perl-Test-Number-Delta
BuildRequires:	perl-Test-Deep
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		Werror_cflags	%{nil}

%description
Starlink::AST provides a Perl wrapper to the Starlink AST library.
The Starlink AST library provides facilities for transforming
coordinates from one system to another in an object oriented manner.
Multiple coordinate frames can be associated with a data set and it is
also possible to generate automatic mappings between frames.

Coordinate frame objects can be imported from FITS headers and from
NDF files.

%description -l pl.UTF-8
Starlink::AST udostępnia perlowe obudowanie biblioteki Starlink AST.
Biblioteka ta zapewnia możliwość przekształcania współrzędnych z
jednego systemu do innego w sposób zorientowany obiektowo. Z danymi
można powiązać wiele ramek współrzędnych, możliwe jest także
generowanie automatycznych odwzorowań między ramkami.

Obiekty ramek współrzędnych mogą być importowane z nagłówków FITS oraz
plików NDF.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%{__mv} t/plot00_pgplot.t t/plot00_pgplot.t-requires-X
%{__mv} t/plot00_tk.t t/plot00_tk.t-requires-X

%build
%{__perl} Build.PL \
	config="optimize=%{rpmcflags}" \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%dir %{perl_vendorarch}/Starlink
%{perl_vendorarch}/Starlink/*.pm
%dir %{perl_vendorarch}/Starlink/AST
%{perl_vendorarch}/Starlink/AST/*.pm
%dir %{perl_vendorarch}/auto/Starlink
%dir %{perl_vendorarch}/auto/Starlink/AST
%attr(755,root,root) %{perl_vendorarch}/auto/Starlink/AST/*.so
%{_mandir}/man3/Starlink::AST*.3pm*
%changelog
* Sun Jun 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Starlink-AST.git;a=log;h=master

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> 9fc82fb
- perl 5.40.0 rebuild

* Wed Jun 12 2024 Jakub Bogusz <qboosh@pld-linux.org> 1878444
- updated to 1.05 (3.03 tests fail for me)

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 859668a
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 6ecbd45
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 20536c2
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 41946b4
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> dae9287
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> f272b87
- rebuild with perl 5.30.0
- release 10 (by relup.sh)

* Fri Aug 31 2018 Jan Rękorajski <baggins@pld-linux.org> a8e4ccc
- rebuild with perl 5.28.0
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> a48b0a6
- perl req/prov fix
- release 8 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> a491e5a
- rebuild with perl 5.26
- release 7 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 434d080
- rebuild with perl 5.24.0
- release 6 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 3f57155
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 70038a3
- x32 rebuild
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> b891404
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> bb91984
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 448813c
- package missing dir
- rel 2

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 2be1720
- new

